package com.storlead.centre.service;

import com.storlead.centre.entity.AttendanceSignRecordEntity;
import com.storlead.wx.pojo.vo.CheckinDataBO;
import com.storlead.framework.mybatis.service.MyBaseService;

import java.util.List;

/**
 * <p>
 * OA系统签到/签退记录表 服务类
 * </p>
 *
 * @author chenkq
 * @since 2026-01-04
 */
public interface AttendanceSignRecordService extends MyBaseService<AttendanceSignRecordEntity> {

    void getSaveSignRecord();
    /**
     * 获取打卡信息
     */
    List<CheckinDataBO> getSaveSignRecord(List<String> wxUserIds,Integer opencheckindatatype,Long starttime,Long endtime);

    List<AttendanceSignRecordEntity> getSignSyncRecord();

    void getDelayedSign();

}
